TablePtrMap< K, T, N > Class Template Reference
Flext support classes

`#include <flmap.h>`

Inheritance diagram for TablePtrMap< K, T, N >:

## Classes

class | iterator

## Public Member Functions

| TablePtrMap ()
virtual | ~TablePtrMap ()
virtual void | clear ()
int | size () const
T | insert (K k, T t)
T | find (K k) const
T | remove (K k)

## Protected Member Functions

| TablePtrMap (TableAnyMap *p)
virtual TableAnyMap * | _newmap (TableAnyMap *parent)
virtual void | _delmap (TableAnyMap *map)

## Protected Attributes

int | count
Data | slots [N]

## Private Member Functions

| TablePtrMap (const TableAnyMap &p)
Private Member Functions inherited from TableAnyMap
void * | insert (int tsize, size_t k, void *t)
void * | find (int tsize, size_t k) const
void * | remove (int tsize, size_t k)
void | _init (size_t k, void *t)
void * | _toleft (int tsize, size_t k, void *t)
void * | _toright (int tsize, size_t k, void *t)
void * | _toleft (int tsize, Data &v)
void * | _toright (int tsize, Data &v)
void * | _set (int tsize, size_t k, void *t)
void * | _find (int tsize, size_t k) const
void * | _remove (int tsize, size_t k)
unsigned int | _tryix (size_t k) const
void | _eraseempty (TableAnyMap *&b)
void | _getsmall (Data &dt)
void | _getbig (Data &dt)
| TableAnyMap (TableAnyMap *p, Data *dt)
virtual | ~TableAnyMap ()

## Additional Inherited Members

Private Attributes inherited from TableAnyMap
Data * | data
TableAnyMap * | parent
TableAnyMap * | left
TableAnyMap * | right
int | n

## Constructor & Destructor Documentation

## TablePtrMap() [1/3]

template<typename K, typename T, int N = 8>

TablePtrMap< K, T, N >::TablePtrMap | ( |  | ) |

inline

## ~TablePtrMap()

template<typename K, typename T, int N = 8>

virtual TablePtrMap< K, T, N >::~TablePtrMap | ( |  | ) |

inline virtual

## TablePtrMap() [2/3]

template<typename K, typename T, int N = 8>

TablePtrMap< K, T, N >::TablePtrMap | ( | TableAnyMap * | p | ) |

inline protected

## TablePtrMap() [3/3]

template<typename K, typename T, int N = 8>

TablePtrMap< K, T, N >::TablePtrMap | ( | const TableAnyMap & | p | ) |

inline explicit private

## Member Function Documentation

## _delmap()

template<typename K, typename T, int N = 8>

virtual void TablePtrMap< K, T, N >::_delmap | ( | TableAnyMap * | map | ) |

inline protected virtual

Implements TableAnyMap.

## _newmap()

template<typename K, typename T, int N = 8>

virtual TableAnyMap* TablePtrMap< K, T, N >::_newmap | ( | TableAnyMap * | parent | ) |

inline protected virtual

Implements TableAnyMap.

## clear()

template<typename K, typename T, int N = 8>

virtual void TablePtrMap< K, T, N >::clear | ( |  | ) |

inline virtual

Reimplemented from TableAnyMap.

Reimplemented in flext_base::AttrDataCont, and flext_base::ItemSet.

## find()

template<typename K, typename T, int N = 8>

T TablePtrMap< K, T, N >::find | ( | K | k | ) | const

inline

## insert()

template<typename K, typename T, int N = 8>

T TablePtrMap< K, T, N >::insert | ( | K | k,
|  | T | t
| ) |  |

inline

## remove()

template<typename K, typename T, int N = 8>

T TablePtrMap< K, T, N >::remove | ( | K | k | ) |

inline

## size()

template<typename K, typename T, int N = 8>

int TablePtrMap< K, T, N >::size | ( |  | ) | const

inline

## Member Data Documentation

## count

template<typename K, typename T, int N = 8>

int TablePtrMap< K, T, N >::count

protected

## slots

template<typename K, typename T, int N = 8>

Data TablePtrMap< K, T, N >::slots[N]

protected

The documentation for this class was generated from the following file:

- /build/pd-flext-j6Usjn/pd-flext-0.6.0+git20161101.1.01318a94/source/flmap.h